Package org.apache.sling.api.request

# Interface RequestParameterMap

All Superinterfaces:
  `Map<String,RequestParameter[]>`

@ProviderType public interface RequestParameterMap extends Map<String,RequestParameter[]>
The `RequestParameterMap` encapsulates all request parameters of a request.

## Nested Class Summary

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,V extends Object>`

## Method Summary

Modifier and Type
Method
Description
`@Nullable RequestParameter`
`getValue(String name)`
Returns the first value for the named parameter or null if none
`@Nullable RequestParameter[]`
`getValues(@NotNull String name)`
Returns all values for the named parameter or null if none

### Methods inherited from interface java.util.Map

`clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

## Method Details

### getValues

@Nullable @Nullable RequestParameter[] getValues(@NotNull @NotNull String name)
Returns all values for the named parameter or null if none

Parameters:
  `name` - The parameter name
Returns:
  The request parameter array or `null`.

### getValue

@Nullable @Nullable RequestParameter getValue(String name)
Returns the first value for the named parameter or null if none

Parameters:
  `name` - The parameter name
Returns:
  The request parameter or `null`.